Package it.ernytech.tdlib

## Class TdApi.InlineQueryResultArticle

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResult
    - - it.ernytech.tdlib.TdApi.InlineQueryResultArticle

Enclosing class:
  TdApi

    public static class TdApi.InlineQueryResultArticle
    extends TdApi.InlineQueryResult

Represents a link to an article or web page.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` A short description of the result.
`boolean` `hideUrl` True, if the URL must be not shown.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.PhotoSize` `thumbnail` Result thumbnail; may be null.
`java.lang.String` `title` Title of the result.
`java.lang.String` `url` URL of the result, if it exists.

### Constructor Summary

Constructors
`InlineQueryResultArticle()` Default constructor.
`InlineQueryResultArticle​(java.lang.String id, java.lang.String url, boolean hideUrl, java.lang.String title, java.lang.String description, TdApi.PhotoSize thumbnail)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### url

    public java.lang.String url

URL of the result, if it exists.

#### hideUrl

    public boolean hideUrl

True, if the URL must be not shown.

#### title

    public java.lang.String title

Title of the result.

#### description

    public java.lang.String description

A short description of the result.

#### thumbnail

    public TdApi.PhotoSize thumbnail

Result thumbnail; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineQueryResultArticle

    public InlineQueryResultArticle()

Default constructor.

#### InlineQueryResultArticle

    public InlineQueryResultArticle​(java.lang.String id,
                                    java.lang.String url,
                                    boolean hideUrl,
                                    java.lang.String title,
                                    java.lang.String description,
                                    TdApi.PhotoSize thumbnail)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `url` - URL of the result, if it exists.
  `hideUrl` - True, if the URL must be not shown.
  `title` - Title of the result.
  `description` - A short description of the result.
  `thumbnail` - Result thumbnail; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR